<?php

function redimensionner_image($fichier, $chemin, $nouvelle_taille) 
{
   
    global $error;

	$tab = explode(".",$fichier);
	$extension_image = array_pop($tab);
	
    $longueur = $nouvelle_taille;
    $largeur = $nouvelle_taille;

    $taille = getimagesize($chemin);
	
	$width = $taille[0];
	$height = $taille[1];
	$ratio	= $width / $height;
	
//fctredimimage() : L'image finale est redimensionnée "en proportions".
	
	//$chemin_a = "./Avatar/" .$fichier;
	//$chemin_b = "./Avatar/" ."new.jpg";
	
	//imagethumb($chemin_a , $chemin_b , 100);
	
    if($taille) 
	{
        //if ($taille['mime']=='image/jpeg' )
		if($extension_image == 'jpeg' || $extension_image == 'jpg')
		{
            $img_big = imagecreatefromjpeg($chemin); 
            $img_new = imagecreate($longueur, $largeur);
            
            $img_petite = imagecreatetruecolor($longueur, $largeur) or $img_petite = imagecreate($longueur, $largeur);

            imagecopyresized($img_petite,$img_big,0,0,0,0,$longueur,$largeur,$taille[0],$taille[1]);
            imagejpeg($img_petite,$chemin);
        }
        
        //if ($taille['mime']=='image/png' ) 
		if($extension_image == 'png' )	
		{
            $img_big = imagecreatefrompng($fichier); 
            $img_new = imagecreate($longueur, $largeur);
            
            $img_petite = imagecreatetruecolor($longueur, $largeur) OR $img_petite = imagecreate($longueur, $largeur);

            imagecopyresized($img_petite,$img_big,0,0,0,0,$longueur,$largeur,$taille[0],$taille[1]);
            imagepng($img_petite,$fichier);
        }
        
        //if ($taille['mime']=='image/gif' )
		if($extension_image == 'gif' )	
		{
            $img_big = imagecreatefromgif($fichier); 
            $img_new = imagecreate($longueur, $largeur);
			
            $img_petite = imagecreatetruecolor($longueur, $largeur) or $img_petite = imagecreate($longueur, $largeur);

            imagecopyresized($img_petite,$img_big,0,0,0,0,$longueur,$largeur,$taille[0],$taille[1]);
            imagegif($img_petite,$fichier);
        }
    }
}